# TODO
# - make this primary db of blacklist db (merge kmod/module-init-tools) ?
# - merge (switch?) with http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/sys-apps/hwids ?
#   their db contains also OUI, IAB IDs databases: https://github.com/gentoo/hwids
# - enable .gz if lshw has .gz support
# NOTE: pnp.ids in pnputils package differ from that in hwdata
# (hwdata pnp.ids contain only vendor IDs, pnputils pnp.ids contains only
#  device IDs of (some) PNPACPI, PNPBIOS and ISAPNP devices)
# - update to use oui.txt from this package:
#   - hwdata-0.225-0.20090808.1.noarch
#   - lshw-B.02.14-1.i686
#   - python-netaddr-0.7.3-1.noarch
Summary:	Hardware identification and configuration data
Summary(pl.UTF-8):	Dane do identyfikacji i konfiguracji sprzętu
Name:		hwdata
# see hwdata.spec inside of tarball
Version:	0.258
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	https://fedorahosted.org/releases/h/w/hwdata/%{name}-%{version}.tar.bz2
# Source0-md5:	dd25aa98e8c1f7a110493342f684839d
Obsoletes:	ieee-oui
Conflicts:	Xconfigurator < 4.9.42-1
Conflicts:	ntop < 4.1.0-2
Conflicts:	pciutils < 3.1.10-6
Conflicts:	usbutils < 006-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/lib
%define		modprobe_d	/usr/lib/modprobe.d

%description
hwdata contains various hardware identification and configuration
data, such as pci.ids, usb.ids, oui.txt and pnp.ids (vendor IDs)
databases.

%description -l pl.UTF-8
Pakiet hwdata zawiera różne dane do identyfikacji i konfiguracji
sprzętu, takie jak bazy danych pci.ids, usb.ids, oui.txt i pnp.ids.

%prep
%setup -q

# broken makefile
%{__sed} -i -e 's/#include Makefile.inc/include Makefile.inc/' Makefile

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{modprobe_d}/dist-blacklist.conf

%if 0
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/pci.ids
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/usb.ids
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/oui.txt
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/oui.txt*
%{_datadir}/%{name}/pci.ids*
%{_datadir}/%{name}/pnp.ids
%{_datadir}/%{name}/usb.ids*
%changelog
* Sun Dec 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hwdata.git;a=log;h=master

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 1a0c1ff
- updated to 0.258

* Thu Oct 31 2013 Jakub Bogusz <qboosh@pld-linux.org> d66a799
- updated to 0.257 (vendor, pci, usb update)

* Mon Oct 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 00accd7
- updated to 0.256 (updated oui, pci, usb)

* Tue Aug 27 2013 Elan Ruusamäe <glen@delfi.ee> aa8ce11
- up to .255: Update of pci (2013-08-20), oui and usb ids (2013-08-19).

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> 79f32d5
- up to 0.254. updates oui, pci.ids (2013.07.26)

* Tue Jul 23 2013 Jakub Bogusz <qboosh@pld-linux.org> bc9108c
- updated to 0.251

* Wed Jul 10 2013 Elan Ruusamäe <glen@delfi.ee> 45c18f2
- up to 0.250; updates oui, pnp.ids, pci.ids (2013.07.04), usb.ids (2013.05.24)

* Thu May 16 2013 Elan Ruusamäe <glen@delfi.ee> ce93019
- up to 0.249. updated oui.txt, pci.ids (2013.05.14)

* Thu Apr 18 2013 Marcin Krol <hawk@tld-linux.org> 640ac72
- updated to 0.248, pci.ids 2013.04.04

* Thu Mar 28 2013 Elan Ruusamäe <glen@delfi.ee> a201aec
- up to 0.247. pci.ids 2013-03-27, usb.ids 2013-03-25

* Fri Mar 22 2013 Elan Ruusamäe <glen@delfi.ee> e0c3ee0
- package ieee oui database here

* Fri Mar 22 2013 Jakub Bogusz <qboosh@pld-linux.org> d6094dd
- expand "this" in pnp.ids note to avoid confusion

* Fri Mar 22 2013 Elan Ruusamäe <glen@delfi.ee> e6e2c11
- update todo list about pnp.ids

* Thu Mar 21 2013 Elan Ruusamäe <glen@delfi.ee> 912cda6
- up to 0.245. pci.ids 2013-03-18; usb.ids 2013-03-10

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> 278a4b8
- up to 0.244

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> da82098
- pacakge pnp.ids

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> b31a482
- disable .gz; lshw needs support

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> 145e0f2
- revert for now. .pc file specifies plain path

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> bb601e0
- usbutils uses compressed usb.ids.gz

* Tue Jan 22 2013 Elan Ruusamäe <glen@delfi.ee> b9f6b63
- use /lib/hwdata for early boot access

